CREATE DATABASE  IF NOT EXISTS `expressfood` /*!40100 DEFAULT CHARACTER SET utf8 */;
USE `expressfood`;
-- MySQL dump 10.13  Distrib 5.7.17, for Win64 (x86_64)
--
-- Host: 127.0.0.1    Database: expressfood
-- ------------------------------------------------------
-- Server version	5.5.5-10.1.30-MariaDB

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `adresse`
--

DROP TABLE IF EXISTS `adresse`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `adresse` (
  `idAdresse` int(11) NOT NULL AUTO_INCREMENT,
  `Adresse1` varchar(100) DEFAULT NULL,
  `Adresse2` varchar(100) DEFAULT NULL,
  `PostCode` int(5) DEFAULT NULL,
  `City` varchar(80) DEFAULT NULL,
  PRIMARY KEY (`idAdresse`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `adresse`
--

LOCK TABLES `adresse` WRITE;
/*!40000 ALTER TABLE `adresse` DISABLE KEYS */;
INSERT INTO `adresse` VALUES (1,'666 rue legrand',NULL,91200,'Paris'),(2,'34 rue du livreur','Batiment B',91200,'Paris'),(3,'55 rue de facturation',NULL,34000,'Montpellier'),(4,'Chateau de moulinsart','Le chateau',41700,'Chanverry');
/*!40000 ALTER TABLE `adresse` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `adressetype`
--

DROP TABLE IF EXISTS `adressetype`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `adressetype` (
  `idAdresseType` int(11) NOT NULL AUTO_INCREMENT,
  `Type` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`idAdresseType`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `adressetype`
--

LOCK TABLES `adressetype` WRITE;
/*!40000 ALTER TABLE `adressetype` DISABLE KEYS */;
INSERT INTO `adressetype` VALUES (1,'Livraison'),(2,'Facturation'),(3,'domicile'),(4,'Livraison / Facturation');
/*!40000 ALTER TABLE `adressetype` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `alergiccomposition`
--

DROP TABLE IF EXISTS `alergiccomposition`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `alergiccomposition` (
  `idAlergicComposition` int(11) NOT NULL AUTO_INCREMENT,
  `AlergicComponentName` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`idAlergicComposition`)
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `alergiccomposition`
--

LOCK TABLES `alergiccomposition` WRITE;
/*!40000 ALTER TABLE `alergiccomposition` DISABLE KEYS */;
INSERT INTO `alergiccomposition` VALUES (1,'Fruits de mer'),(2,'Arachide'),(3,'Lait de vache'),(4,'Oeufs'),(5,'Poissons'),(6,'Soja'),(7,'blé'),(8,'Fruits à ecales'),(9,'sesame');
/*!40000 ALTER TABLE `alergiccomposition` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `deliverer`
--

DROP TABLE IF EXISTS `deliverer`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `deliverer` (
  `idDeliverer` int(11) NOT NULL AUTO_INCREMENT,
  `SurName` varchar(75) NOT NULL,
  `Firstname` varchar(75) NOT NULL,
  `RecrutementDate` datetime NOT NULL,
  `PositionLat` decimal(9,6) DEFAULT NULL,
  `PositionLong` decimal(9,6) DEFAULT NULL,
  `Delivering` tinyint(4) DEFAULT NULL,
  `Adresse_idAdresse` int(11) NOT NULL,
  `Active` tinyint(4) DEFAULT NULL,
  PRIMARY KEY (`idDeliverer`),
  KEY `fk_Deliverer_Adresse1_idx` (`Adresse_idAdresse`),
  CONSTRAINT `fk_Deliverer_Adresse1` FOREIGN KEY (`Adresse_idAdresse`) REFERENCES `adresse` (`idAdresse`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `deliverer`
--

LOCK TABLES `deliverer` WRITE;
/*!40000 ALTER TABLE `deliverer` DISABLE KEYS */;
INSERT INTO `deliverer` VALUES (2,'Livreur','Uno','2018-05-28 00:00:00',48.856614,2.352222,0,2,1),(3,'Livreur','Marcel','2018-05-22 00:00:00',40.954167,7.561571,1,2,1);
/*!40000 ALTER TABLE `deliverer` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `deliverer_has_dish`
--

DROP TABLE IF EXISTS `deliverer_has_dish`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `deliverer_has_dish` (
  `Deliverer_idDeliverer` int(11) NOT NULL,
  `Dish_idDish` int(11) NOT NULL,
  `Quantity` int(11) NOT NULL,
  PRIMARY KEY (`Deliverer_idDeliverer`,`Dish_idDish`),
  KEY `fk_Deliverer_has_Dish_Dish1_idx` (`Dish_idDish`),
  KEY `fk_Deliverer_has_Dish_Deliverer1_idx` (`Deliverer_idDeliverer`),
  CONSTRAINT `fk_Deliverer_has_Dish_Deliverer1` FOREIGN KEY (`Deliverer_idDeliverer`) REFERENCES `deliverer` (`idDeliverer`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_Deliverer_has_Dish_Dish1` FOREIGN KEY (`Dish_idDish`) REFERENCES `dish` (`idDish`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `deliverer_has_dish`
--

LOCK TABLES `deliverer_has_dish` WRITE;
/*!40000 ALTER TABLE `deliverer_has_dish` DISABLE KEYS */;
INSERT INTO `deliverer_has_dish` VALUES (2,1,10),(2,2,8);
/*!40000 ALTER TABLE `deliverer_has_dish` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `deliverer_has_workday`
--

DROP TABLE IF EXISTS `deliverer_has_workday`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `deliverer_has_workday` (
  `Deliverer_idDeliverer` int(11) NOT NULL,
  `Workday_idWorkday` int(11) NOT NULL,
  PRIMARY KEY (`Deliverer_idDeliverer`,`Workday_idWorkday`),
  KEY `fk_Deliverer_has_Workday_Workday1_idx` (`Workday_idWorkday`),
  KEY `fk_Deliverer_has_Workday_Deliverer1_idx` (`Deliverer_idDeliverer`),
  CONSTRAINT `fk_Deliverer_has_Workday_Deliverer1` FOREIGN KEY (`Deliverer_idDeliverer`) REFERENCES `deliverer` (`idDeliverer`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_Deliverer_has_Workday_Workday1` FOREIGN KEY (`Workday_idWorkday`) REFERENCES `workday` (`idWorkday`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `deliverer_has_workday`
--

LOCK TABLES `deliverer_has_workday` WRITE;
/*!40000 ALTER TABLE `deliverer_has_workday` DISABLE KEYS */;
INSERT INTO `deliverer_has_workday` VALUES (2,1),(2,3),(2,5);
/*!40000 ALTER TABLE `deliverer_has_workday` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Temporary view structure for view `delivererstatus`
--

DROP TABLE IF EXISTS `delivererstatus`;
/*!50001 DROP VIEW IF EXISTS `delivererstatus`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE VIEW `delivererstatus` AS SELECT 
 1 AS `SurName`,
 1 AS `Firstname`,
 1 AS `Delivering`,
 1 AS `PositionLat`,
 1 AS `PositionLong`,
 1 AS `Active`,
 1 AS `Quantity`,
 1 AS `Dishname`,
 1 AS `Type`*/;
SET character_set_client = @saved_cs_client;

--
-- Table structure for table `deliverystatus`
--

DROP TABLE IF EXISTS `deliverystatus`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `deliverystatus` (
  `idDeliveryStatus` int(11) NOT NULL AUTO_INCREMENT,
  `Status` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`idDeliveryStatus`),
  UNIQUE KEY `Status_UNIQUE` (`Status`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `deliverystatus`
--

LOCK TABLES `deliverystatus` WRITE;
/*!40000 ALTER TABLE `deliverystatus` DISABLE KEYS */;
INSERT INTO `deliverystatus` VALUES (1,'Commandé'),(2,'En cours de livraison'),(3,'Livré');
/*!40000 ALTER TABLE `deliverystatus` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dish`
--

DROP TABLE IF EXISTS `dish`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dish` (
  `idDish` int(11) NOT NULL AUTO_INCREMENT,
  `Dishname` varchar(150) DEFAULT NULL,
  `IsVegetarian` tinyint(4) DEFAULT NULL,
  `IsHalal` tinyint(4) DEFAULT NULL,
  `DishType_idDishType` int(11) NOT NULL,
  `DishPhoto` varchar(256) DEFAULT NULL,
  `DishDiscription` blob,
  PRIMARY KEY (`idDish`),
  KEY `fk_Dish_DishType1_idx` (`DishType_idDishType`),
  CONSTRAINT `fk_Dish_DishType1` FOREIGN KEY (`DishType_idDishType`) REFERENCES `dishtype` (`idDishType`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dish`
--

LOCK TABLES `dish` WRITE;
/*!40000 ALTER TABLE `dish` DISABLE KEYS */;
INSERT INTO `dish` VALUES (1,'Poulet au chachuettes',0,1,1,'http://histoiresdefruit.com/wp-content/uploads/2013/09/DSC_2208-682x1024.jpg','Un delicieux Poulet facon chinois avec des cachauettes'),(2,'Fondant au chocolat',1,0,2,'http://static.750g.com/images/622-auto/a714d7791c47f96e72defa7c6c847636/fondant-coeur-chocolat.jpg','Un fondant au chocolat a rechauffer au bain marie'),(3,'curry au poulet',0,0,1,NULL,NULL),(4,'tarte aux pommes',1,1,2,NULL,NULL);
/*!40000 ALTER TABLE `dish` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dish_has_alergiccomposition`
--

DROP TABLE IF EXISTS `dish_has_alergiccomposition`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dish_has_alergiccomposition` (
  `Dish_idDish` int(11) NOT NULL,
  `AlergicComposition_idAlergicComposition` int(11) NOT NULL,
  PRIMARY KEY (`Dish_idDish`,`AlergicComposition_idAlergicComposition`),
  KEY `fk_Dish_has_AlergicComposition_AlergicComposition1_idx` (`AlergicComposition_idAlergicComposition`),
  KEY `fk_Dish_has_AlergicComposition_Dish1_idx` (`Dish_idDish`),
  CONSTRAINT `fk_Dish_has_AlergicComposition_AlergicComposition1` FOREIGN KEY (`AlergicComposition_idAlergicComposition`) REFERENCES `alergiccomposition` (`idAlergicComposition`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_Dish_has_AlergicComposition_Dish1` FOREIGN KEY (`Dish_idDish`) REFERENCES `dish` (`idDish`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dish_has_alergiccomposition`
--

LOCK TABLES `dish_has_alergiccomposition` WRITE;
/*!40000 ALTER TABLE `dish_has_alergiccomposition` DISABLE KEYS */;
INSERT INTO `dish_has_alergiccomposition` VALUES (1,2),(2,3),(2,4),(2,7),(4,3),(4,4),(4,7);
/*!40000 ALTER TABLE `dish_has_alergiccomposition` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dish_has_dishdatetime`
--

DROP TABLE IF EXISTS `dish_has_dishdatetime`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dish_has_dishdatetime` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `Dish_idDish` int(11) NOT NULL,
  `DishDateTime_idDishDateTime` int(11) NOT NULL,
  PRIMARY KEY (`ID`),
  KEY `fk_Dish_has_DishDateTime_DishDateTime1_idx` (`DishDateTime_idDishDateTime`),
  KEY `fk_Dish_has_DishDateTime_Dish1_idx` (`Dish_idDish`),
  CONSTRAINT `fk_Dish_has_DishDateTime_Dish1` FOREIGN KEY (`Dish_idDish`) REFERENCES `dish` (`idDish`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_Dish_has_DishDateTime_DishDateTime1` FOREIGN KEY (`DishDateTime_idDishDateTime`) REFERENCES `dishdatetime` (`idDishDateTime`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dish_has_dishdatetime`
--

LOCK TABLES `dish_has_dishdatetime` WRITE;
/*!40000 ALTER TABLE `dish_has_dishdatetime` DISABLE KEYS */;
INSERT INTO `dish_has_dishdatetime` VALUES (1,1,2),(2,2,2),(3,3,4),(4,4,4),(5,1,1),(6,4,1),(7,3,3),(8,4,3);
/*!40000 ALTER TABLE `dish_has_dishdatetime` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dishdatetime`
--

DROP TABLE IF EXISTS `dishdatetime`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dishdatetime` (
  `idDishDateTime` int(11) NOT NULL AUTO_INCREMENT,
  `DateTime` datetime NOT NULL,
  PRIMARY KEY (`idDishDateTime`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dishdatetime`
--

LOCK TABLES `dishdatetime` WRITE;
/*!40000 ALTER TABLE `dishdatetime` DISABLE KEYS */;
INSERT INTO `dishdatetime` VALUES (1,'2018-06-20 12:00:00'),(2,'2018-06-16 12:00:00'),(3,'2018-06-20 18:00:00'),(4,'2018-06-16 18:00:00');
/*!40000 ALTER TABLE `dishdatetime` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dishtype`
--

DROP TABLE IF EXISTS `dishtype`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dishtype` (
  `idDishType` int(11) NOT NULL AUTO_INCREMENT,
  `Type` varchar(45) NOT NULL,
  PRIMARY KEY (`idDishType`),
  UNIQUE KEY `Type_UNIQUE` (`Type`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dishtype`
--

LOCK TABLES `dishtype` WRITE;
/*!40000 ALTER TABLE `dishtype` DISABLE KEYS */;
INSERT INTO `dishtype` VALUES (2,'Dessert'),(1,'Plat');
/*!40000 ALTER TABLE `dishtype` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `order`
--

DROP TABLE IF EXISTS `order`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `order` (
  `idOrder` int(11) NOT NULL AUTO_INCREMENT,
  `OrderTime` datetime DEFAULT NULL,
  `PaymentMethod` varchar(45) DEFAULT NULL,
  `OrderSatisfaction` smallint(2) DEFAULT NULL,
  `DelivererSatisfaction` tinyint(4) DEFAULT NULL,
  `OrderComment` blob,
  `Deliverer_idDeliverer` int(11) NOT NULL,
  `User_IdUser1` int(11) NOT NULL,
  PRIMARY KEY (`idOrder`),
  KEY `fk_Order_Deliverer1_idx` (`Deliverer_idDeliverer`),
  KEY `fk_Order_User1_idx` (`User_IdUser1`),
  CONSTRAINT `fk_Order_Deliverer1` FOREIGN KEY (`Deliverer_idDeliverer`) REFERENCES `deliverer` (`idDeliverer`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_Order_User1` FOREIGN KEY (`User_IdUser1`) REFERENCES `user` (`IdUser`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `order`
--

LOCK TABLES `order` WRITE;
/*!40000 ALTER TABLE `order` DISABLE KEYS */;
INSERT INTO `order` VALUES (1,'2018-06-16 11:35:33','Paypal',NULL,NULL,NULL,2,1),(2,'2018-06-16 15:23:18','CB',5,3,'Mille milliards de mille sabords, ce curry fera taire la castafiore !',3,2);
/*!40000 ALTER TABLE `order` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `order_has_deliverystatus`
--

DROP TABLE IF EXISTS `order_has_deliverystatus`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `order_has_deliverystatus` (
  `Order_idOrder` int(11) NOT NULL,
  `DeliveryStatus_idDeliveryStatus` int(11) NOT NULL,
  `ChangeDate` datetime NOT NULL,
  PRIMARY KEY (`Order_idOrder`,`DeliveryStatus_idDeliveryStatus`),
  KEY `fk_Order_has_DeliveryStatus_DeliveryStatus1_idx` (`DeliveryStatus_idDeliveryStatus`),
  KEY `fk_Order_has_DeliveryStatus_Order1_idx` (`Order_idOrder`),
  CONSTRAINT `fk_Order_has_DeliveryStatus_DeliveryStatus1` FOREIGN KEY (`DeliveryStatus_idDeliveryStatus`) REFERENCES `deliverystatus` (`idDeliveryStatus`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_Order_has_DeliveryStatus_Order1` FOREIGN KEY (`Order_idOrder`) REFERENCES `order` (`idOrder`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `order_has_deliverystatus`
--

LOCK TABLES `order_has_deliverystatus` WRITE;
/*!40000 ALTER TABLE `order_has_deliverystatus` DISABLE KEYS */;
INSERT INTO `order_has_deliverystatus` VALUES (1,1,'2018-06-18 11:37:00'),(1,2,'2018-06-18 11:40:02'),(2,1,'2018-06-16 16:10:26'),(2,2,'2018-06-16 18:15:26'),(2,3,'2018-06-16 18:20:26');
/*!40000 ALTER TABLE `order_has_deliverystatus` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `order_has_dish`
--

DROP TABLE IF EXISTS `order_has_dish`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `order_has_dish` (
  `Order_idOrder` int(11) NOT NULL,
  `Quantity` int(11) DEFAULT NULL,
  `Dish_has_DishDateTime_ID` int(11) NOT NULL,
  PRIMARY KEY (`Order_idOrder`,`Dish_has_DishDateTime_ID`),
  KEY `fk_Order_has_Dish1_Order1_idx` (`Order_idOrder`),
  KEY `fk_Order_has_Dish_Dish_has_DishDateTime1_idx` (`Dish_has_DishDateTime_ID`),
  CONSTRAINT `fk_Order_has_Dish1_Order1` FOREIGN KEY (`Order_idOrder`) REFERENCES `order` (`idOrder`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_Order_has_Dish_Dish_has_DishDateTime1` FOREIGN KEY (`Dish_has_DishDateTime_ID`) REFERENCES `dish_has_dishdatetime` (`ID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `order_has_dish`
--

LOCK TABLES `order_has_dish` WRITE;
/*!40000 ALTER TABLE `order_has_dish` DISABLE KEYS */;
INSERT INTO `order_has_dish` VALUES (1,1,1),(1,1,2),(2,2,3);
/*!40000 ALTER TABLE `order_has_dish` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Temporary view structure for view `orderlist`
--

DROP TABLE IF EXISTS `orderlist`;
/*!50001 DROP VIEW IF EXISTS `orderlist`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE VIEW `orderlist` AS SELECT 
 1 AS `idOrder`,
 1 AS `OrderTime`,
 1 AS `SurName`,
 1 AS `FirstName`,
 1 AS `PaymentMethod`,
 1 AS `OrderSatisfaction`,
 1 AS `DelivererSatisfaction`,
 1 AS `OrderComment`,
 1 AS `DelivererSurname`,
 1 AS `DelivererFirstName`,
 1 AS `Dishname`,
 1 AS `Type`,
 1 AS `Quantity`,
 1 AS `DateTime`,
 1 AS `Max_Status`*/;
SET character_set_client = @saved_cs_client;

--
-- Table structure for table `user`
--

DROP TABLE IF EXISTS `user`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user` (
  `IdUser` int(11) NOT NULL AUTO_INCREMENT,
  `Password` varchar(100) NOT NULL,
  `SurName` varchar(75) NOT NULL,
  `FirstName` varchar(75) NOT NULL,
  `Email` varchar(100) NOT NULL,
  `telephone` int(10) NOT NULL,
  `Active` tinyint(4) DEFAULT NULL,
  `LastConnection` datetime DEFAULT NULL,
  `AuthLevel` int(11) NOT NULL,
  PRIMARY KEY (`IdUser`),
  UNIQUE KEY `eMail_UNIQUE` (`Email`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `user`
--

LOCK TABLES `user` WRITE;
/*!40000 ALTER TABLE `user` DISABLE KEYS */;
INSERT INTO `user` VALUES (1,'123','Dupond','Jean','jean.dupont@gmail.com',606603939,1,'2018-06-11 00:00:00',1),(2,'456','Haddok','Archibald','a.haddok@wanadoo.fr',35784591,1,'1985-01-12 00:00:00',1),(3,'789','Tournesol','Tryphon','t.tournesol@caramail.com',12345678,0,'1982-10-03 00:00:00',1);
/*!40000 ALTER TABLE `user` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Temporary view structure for view `user_address`
--

DROP TABLE IF EXISTS `user_address`;
/*!50001 DROP VIEW IF EXISTS `user_address`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE VIEW `user_address` AS SELECT 
 1 AS `SurName`,
 1 AS `FirstName`,
 1 AS `Email`,
 1 AS `Adresse1`,
 1 AS `Adresse2`,
 1 AS `PostCode`,
 1 AS `City`,
 1 AS `Type`*/;
SET character_set_client = @saved_cs_client;

--
-- Table structure for table `user_has_adresse`
--

DROP TABLE IF EXISTS `user_has_adresse`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user_has_adresse` (
  `User_has_AdresseID` int(11) NOT NULL AUTO_INCREMENT,
  `User_IdUser` int(11) NOT NULL,
  `Adresse_idAdresse` int(11) NOT NULL,
  `AdresseType_idAdresseType` int(11) NOT NULL,
  PRIMARY KEY (`User_has_AdresseID`),
  KEY `fk_User_has_Adresse_Adresse1_idx` (`Adresse_idAdresse`),
  KEY `fk_User_has_Adresse_User1_idx` (`User_IdUser`),
  KEY `fk_User_has_Adresse_AdresseType1_idx` (`AdresseType_idAdresseType`),
  CONSTRAINT `fk_User_has_Adresse_Adresse1` FOREIGN KEY (`Adresse_idAdresse`) REFERENCES `adresse` (`idAdresse`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_User_has_Adresse_AdresseType1` FOREIGN KEY (`AdresseType_idAdresseType`) REFERENCES `adressetype` (`idAdresseType`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_User_has_Adresse_User1` FOREIGN KEY (`User_IdUser`) REFERENCES `user` (`IdUser`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `user_has_adresse`
--

LOCK TABLES `user_has_adresse` WRITE;
/*!40000 ALTER TABLE `user_has_adresse` DISABLE KEYS */;
INSERT INTO `user_has_adresse` VALUES (2,1,1,3),(3,1,3,2),(4,2,4,4),(5,3,4,4);
/*!40000 ALTER TABLE `user_has_adresse` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Temporary view structure for view `view_dishes_with_dates`
--

DROP TABLE IF EXISTS `view_dishes_with_dates`;
/*!50001 DROP VIEW IF EXISTS `view_dishes_with_dates`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE VIEW `view_dishes_with_dates` AS SELECT 
 1 AS `Dishname`,
 1 AS `IsVegetarian`,
 1 AS `IsHalal`,
 1 AS `DishPhoto`,
 1 AS `DishDiscription`,
 1 AS `DateTime`,
 1 AS `Type`*/;
SET character_set_client = @saved_cs_client;

--
-- Table structure for table `workday`
--

DROP TABLE IF EXISTS `workday`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `workday` (
  `idWorkday` int(11) NOT NULL AUTO_INCREMENT,
  `Workday` varchar(10) NOT NULL,
  PRIMARY KEY (`idWorkday`),
  UNIQUE KEY `Workday_UNIQUE` (`Workday`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `workday`
--

LOCK TABLES `workday` WRITE;
/*!40000 ALTER TABLE `workday` DISABLE KEYS */;
INSERT INTO `workday` VALUES (7,'Dimanche'),(4,'Jeudi'),(1,'Lundi'),(2,'Mardi'),(3,'Mercredi'),(6,'Samedi'),(5,'Vendredi');
/*!40000 ALTER TABLE `workday` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Final view structure for view `delivererstatus`
--

/*!50001 DROP VIEW IF EXISTS `delivererstatus`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`root`@`localhost` SQL SECURITY DEFINER */
/*!50001 VIEW `delivererstatus` AS select `deliverer`.`SurName` AS `SurName`,`deliverer`.`Firstname` AS `Firstname`,`deliverer`.`Delivering` AS `Delivering`,`deliverer`.`PositionLat` AS `PositionLat`,`deliverer`.`PositionLong` AS `PositionLong`,`deliverer`.`Active` AS `Active`,`deliverer_has_dish`.`Quantity` AS `Quantity`,`dish`.`Dishname` AS `Dishname`,`dishtype`.`Type` AS `Type` from (((`deliverer` left join `deliverer_has_dish` on((`deliverer_has_dish`.`Deliverer_idDeliverer` = `deliverer`.`idDeliverer`))) left join `dish` on((`deliverer_has_dish`.`Dish_idDish` = `dish`.`idDish`))) left join `dishtype` on((`dish`.`DishType_idDishType` = `dishtype`.`idDishType`))) where (`deliverer`.`Active` = 1) */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `orderlist`
--

/*!50001 DROP VIEW IF EXISTS `orderlist`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`root`@`localhost` SQL SECURITY DEFINER */
/*!50001 VIEW `orderlist` AS select `order`.`idOrder` AS `idOrder`,`order`.`OrderTime` AS `OrderTime`,`user`.`SurName` AS `SurName`,`user`.`FirstName` AS `FirstName`,`order`.`PaymentMethod` AS `PaymentMethod`,`order`.`OrderSatisfaction` AS `OrderSatisfaction`,`order`.`DelivererSatisfaction` AS `DelivererSatisfaction`,`order`.`OrderComment` AS `OrderComment`,`deliverer`.`SurName` AS `DelivererSurname`,`deliverer`.`Firstname` AS `DelivererFirstName`,`dish`.`Dishname` AS `Dishname`,`dishtype`.`Type` AS `Type`,`order_has_dish`.`Quantity` AS `Quantity`,`dishdatetime`.`DateTime` AS `DateTime`,max(`deliverystatus`.`Status`) AS `Max_Status` from (((((((((`order` left join `user` on((`order`.`User_IdUser1` = `user`.`IdUser`))) left join `order_has_dish` on((`order_has_dish`.`Order_idOrder` = `order`.`idOrder`))) join `dish_has_dishdatetime` on((`order_has_dish`.`Dish_has_DishDateTime_ID` = `dish_has_dishdatetime`.`ID`))) join `dishdatetime` on((`dish_has_dishdatetime`.`DishDateTime_idDishDateTime` = `dishdatetime`.`idDishDateTime`))) join `dish` on((`dish_has_dishdatetime`.`Dish_idDish` = `dish`.`idDish`))) left join `deliverer` on((`order`.`Deliverer_idDeliverer` = `deliverer`.`idDeliverer`))) join `dishtype` on((`dish`.`DishType_idDishType` = `dishtype`.`idDishType`))) left join `order_has_deliverystatus` on((`order_has_deliverystatus`.`Order_idOrder` = `order`.`idOrder`))) left join `deliverystatus` on((`order_has_deliverystatus`.`DeliveryStatus_idDeliveryStatus` = `deliverystatus`.`idDeliveryStatus`))) group by `order`.`idOrder`,`order`.`OrderTime`,`user`.`SurName`,`user`.`FirstName`,`order`.`PaymentMethod`,`order`.`OrderSatisfaction`,`order`.`DelivererSatisfaction`,`order`.`OrderComment`,`deliverer`.`SurName`,`deliverer`.`Firstname`,`dish`.`Dishname`,`dishtype`.`Type`,`order_has_dish`.`Quantity`,`dishdatetime`.`DateTime` order by max(`deliverystatus`.`Status`) */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `user_address`
--

/*!50001 DROP VIEW IF EXISTS `user_address`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`root`@`localhost` SQL SECURITY DEFINER */
/*!50001 VIEW `user_address` AS select `user`.`SurName` AS `SurName`,`user`.`FirstName` AS `FirstName`,`user`.`Email` AS `Email`,`adresse`.`Adresse1` AS `Adresse1`,`adresse`.`Adresse2` AS `Adresse2`,`adresse`.`PostCode` AS `PostCode`,`adresse`.`City` AS `City`,`adressetype`.`Type` AS `Type` from (((`adresse` join `adressetype`) join `user_has_adresse`) join `user`) where ((`adresse`.`idAdresse` = `user_has_adresse`.`Adresse_idAdresse`) and (`adressetype`.`idAdresseType` = `user_has_adresse`.`AdresseType_idAdresseType`) and (`user`.`IdUser` = `user_has_adresse`.`User_IdUser`)) */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `view_dishes_with_dates`
--

/*!50001 DROP VIEW IF EXISTS `view_dishes_with_dates`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`root`@`localhost` SQL SECURITY DEFINER */
/*!50001 VIEW `view_dishes_with_dates` AS select `dish`.`Dishname` AS `Dishname`,`dish`.`IsVegetarian` AS `IsVegetarian`,`dish`.`IsHalal` AS `IsHalal`,`dish`.`DishPhoto` AS `DishPhoto`,`dish`.`DishDiscription` AS `DishDiscription`,`dishdatetime`.`DateTime` AS `DateTime`,`dishtype`.`Type` AS `Type` from (((`dish` join `dish_has_dishdatetime`) join `dishdatetime`) join `dishtype`) where ((`dish`.`idDish` = `dish_has_dishdatetime`.`Dish_idDish`) and (`dishdatetime`.`idDishDateTime` = `dish_has_dishdatetime`.`DishDateTime_idDishDateTime`) and (`dish`.`DishType_idDishType` = `dishtype`.`idDishType`)) */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2018-06-25 12:17:38
